import sys

sys.path.append('../')

from qtable import QTableFactory


class TabularFunction:
    def __init__(self, num_actions):
        self.qtable = QTableFactory.create_obs_qtable(num_actions)
        self.ttable = QTableFactory.create_obs_qtable(num_actions)
        self.intrinsic_reward_batch = [] # TODO

    def backup(self, batch, i, alpha, gamma, rho, ex_reward):
        print("Not implemented")

    def update(self, batch, alpha, gamma, rho):
        print("Not implemented")
